> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/itemsadder-doc/shi-jian/shi-jian-ji-chu.md).

# 事件基础

事件在 **ItemsAdder** 中类似脚本方块的存在，你可以轻松的设置大量你想做的事情。它也是物品的一个选项，在任意物品id的配置下添加如下内容：

```
    events:
      interact:
        right:
          execute_commands:
            cmd1:
              command: 'hi {player}'
              as_console: true
              delay: 0
            cmd2:
              command: 'me'
              as_console: true
              delay: 20
            cmd3:
              command: 'op {player}'
              as_console: true
              delay: 40
          play_sound_1:
            name: minecraft:block.note_block.banjo
            delay: 0
          play_sound_2:
            name: minecraft:block.note_block.banjo
            pitch: 1.2
            delay: 20
```

其中，`interact` 和下面的 `right` 为事件的触发方式，下面的 `execute_commands、play_sound_1、play_sound_2` 均为事件动作。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/itemsadder-doc/shi-jian/shi-jian-ji-chu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
